mkdir -p build
cd build
rm -rf *

LIB_DIR=$1
DEMO_NAME=$2
MODEL_FILE_DIR=$3
WITH_MKL=$4
WITH_GPU=$5
CUDNN_LIB=$6
CUDA_LIB=$7
USE_TENSORRT=$8

cmake .. -DPADDLE_LIB=${LIB_DIR} \
  -DWITH_MKL=${WITH_MKL} \
  -DDEMO_NAME=${DEMO_NAME} \
  -DWITH_GPU=${WITH_GPU} \
  -DWITH_STATIC_LIB=OFF \
  -DUSE_TENSORRT=${USE_TENSORRT} \
  -DCUDNN_LIB=${CUDNN_LIB} \
  -DCUDA_LIB=${CUDA_LIB}

make -j

cp -rf ${MODEL_FILE_DIR} ./
./${DEMO_NAME}
